# Strand Bias Analysis Tool

## Overview
SBAT is a Python command-line tool for detection of strand bias. 
Strand bias is a situation when information from one strand of DNA is overrepresented compared to the information from 
the other strand. It is one of the types of bias that occur in next-generation sequencing data. Strand bias might lead 
to incorrect evaluation of results gained from sequencing data, if the bias is high. 
This tool offers a way of validating quality of the data against strand bias. More about strand bias and development 
of this tool can be found  [here](path to bachelor thesis once it is public). 

The tool uses [Jellyfish](https://github.com/gmarcais/Jellyfish) k-mer counting tool for counting k-mers in the NGS data and compares frequencies of k-mers 
and their complements, creating both statistics and visual analysis of the results of strand bias. 


## Installation 
#### First, <b>Jellyfish</b> must be installed. 
On Debian and Ubuntu with `apt`:
```Shell
sudo apt update
sudo apt install jellyfish
```

On MacOS with `brew`:
```Shell
brew install jellyfish
```

On Arch, it is available from [AUR](https://aur.archlinux.org/packages/jellyfish/).

On Windows, the best option is to use WSL. For other OS or installation from source code, see [here](https://github.com/gmarcais/Jellyfish)

#### After Jellyfish is installed, proceed with SBAT itself:
Installation from pip
```Shell
pip install sbat
```

To install from source code, download the code and run following in the root of the source tree:
```Shell
python3 -m pip install --upgrade build
python3 -m build
pip install -e .
```

## Usage
